[Pkg-samba-maint] r2504 - trunk/samba4/debian

jelmer at alioth.debian.org jelmer at alioth.debian.org
Sun Jan 25 19:34:16 UTC 2009


tags 506236 pending
thanks

Author: jelmer
Date: 2009-01-25 19:34:16 +0000 (Sun, 25 Jan 2009)
New Revision: 2504

Added:
   trunk/samba4/debian/samba4-testsuite.postinst
   trunk/samba4/debian/samba4-testsuite.prerm
   trunk/samba4/debian/samba4.prerm
Modified:
   trunk/samba4/debian/changelog
   trunk/samba4/debian/control
   trunk/samba4/debian/rules
   trunk/samba4/debian/samba4.postinst
Log:
* Add build dependency on libpopt-dev, so the system libpopt is always used 
* Use the alternatives system for smbtorture, nsstest,
  masktest and locktest. (Closes: #506236)

Modified: trunk/samba4/debian/changelog
===================================================================
--- trunk/samba4/debian/changelog	2009-01-25 03:58:57 UTC (rev 2503)
+++ trunk/samba4/debian/changelog	2009-01-25 19:34:16 UTC (rev 2504)
@@ -1,9 +1,11 @@
 samba4 (4.0.0~alpha6-2) UNRELEASED; urgency=low
 
-  * Add build dependency on libpopt-dev, so the system libpopt is used 
+  * Add build dependency on libpopt-dev, so the system libpopt is always used 
     rather than the one included by Samba.
+  * Use the alternatives system for smbtorture, nsstest,
+    masktest and locktest. (Closes: #506236)
 
- -- Jelmer Vernooij <jelmer at debian.org>  Tue, 20 Jan 2009 06:38:26 +0100
+ -- Jelmer Vernooij <jelmer at debian.org>  Sun, 25 Jan 2009 20:17:16 +0100
 
 samba4 (4.0.0~alpha6-1) experimental; urgency=low
 

Modified: trunk/samba4/debian/control
===================================================================
--- trunk/samba4/debian/control	2009-01-25 03:58:57 UTC (rev 2503)
+++ trunk/samba4/debian/control	2009-01-25 19:34:16 UTC (rev 2504)
@@ -14,7 +14,7 @@
 Package: samba4
 Architecture: any
 Recommends: samba-ldb-tools
-Conflicts: samba
+Conflicts: samba, samba-tools (<< 2:3.3.0~rc2-5)
 Depends: ${shlibs:Depends}, ${misc:Depends}, samba4-common (=${binary:Version}), python, python-samba
 XB-Python-Version: ${python:Versions}
 Description: LanManager-like file server for Unix (version 4)
@@ -68,6 +68,7 @@
 
 Package: samba4-testsuite
 Architecture: any
+Conflicts: samba-tools (<< 2:3.3.0~rc2-5)
 Depends: ${shlibs:Depends}, samba4-common, ${misc:Depends}
 Description: test suite from Samba 4
  The Samba software suite is a collection of programs that

Modified: trunk/samba4/debian/rules
===================================================================
--- trunk/samba4/debian/rules	2009-01-25 03:58:57 UTC (rev 2503)
+++ trunk/samba4/debian/rules	2009-01-25 19:34:16 UTC (rev 2504)
@@ -64,6 +64,11 @@
 	dh_testroot
 	# Remove files created when running install more than once
 	find debian/tmp -name "*.old" | xargs rm -f
+	# Alternatives are used
+	mv $(CURDIR)/debian/tmp/usr/bin/smbtorture $(CURDIR)/debian/tmp/usr/bin/smbtorture.samba4-testsuite
+	mv $(CURDIR)/debian/tmp/usr/bin/nsstest $(CURDIR)/debian/tmp/usr/bin/nsstest.samba4
+	mv $(CURDIR)/debian/tmp/usr/bin/masktest $(CURDIR)/debian/tmp/usr/bin/masktest.samba4
+	mv $(CURDIR)/debian/tmp/usr/bin/locktest $(CURDIR)/debian/tmp/usr/bin/locktest.samba4
 	# Already provided by libparse-yapp-perl
 	rm -f $(CURDIR)/debian/tmp/usr/share/perl5/Parse/Yapp/Driver.pm
 	# Binaries not ready for installation

Added: trunk/samba4/debian/samba4-testsuite.postinst
===================================================================
--- trunk/samba4/debian/samba4-testsuite.postinst	                        (rev 0)
+++ trunk/samba4/debian/samba4-testsuite.postinst	2009-01-25 19:34:16 UTC (rev 2504)
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+	update-alternatives --install /usr/bin/smbtorture smbtorture /usr/bin/smbtorture.samba4-testsuite
+	update-alternatives --install /usr/bin/locktest locktest /usr/bin/locktest.samba4-testsuite
+	update-alternatives --install /usr/bin/masktest masktest /usr/bin/masktest.samba4-testsuite
+fi
+
+#DEBHELPER#
+
+exit 0

Added: trunk/samba4/debian/samba4-testsuite.prerm
===================================================================
--- trunk/samba4/debian/samba4-testsuite.prerm	                        (rev 0)
+++ trunk/samba4/debian/samba4-testsuite.prerm	2009-01-25 19:34:16 UTC (rev 2504)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e 
+
+if [ "$1" = "configure" ]; then 
+	update-alternatives --remove smbtorture /usr/bin/smbtorture.samba4-testsuite
+	update-alternatives --remove masktest /usr/bin/masktest.samba4-testsuite
+	update-alternatives --remove locktest /usr/bin/locktest.samba4-testsuite
+fi
+
+#DEBHELPER#
+
+exit 0

Modified: trunk/samba4/debian/samba4.postinst
===================================================================
--- trunk/samba4/debian/samba4.postinst	2009-01-25 03:58:57 UTC (rev 2503)
+++ trunk/samba4/debian/samba4.postinst	2009-01-25 19:34:16 UTC (rev 2504)
@@ -5,6 +5,8 @@
 . /usr/share/debconf/confmodule
 
 if [ "$1" = "configure" ]; then
+	update-alternatives --install /usr/bin/nsstest nsstest /usr/bin/nsstest.samba4
+
 	# See if we're upgrading from Samba 3
 	if [ ! -z "$2" ]; then
 		if dpkg --compare-versions "$2" lt "3.9.0"; then

Added: trunk/samba4/debian/samba4.prerm
===================================================================
--- trunk/samba4/debian/samba4.prerm	                        (rev 0)
+++ trunk/samba4/debian/samba4.prerm	2009-01-25 19:34:16 UTC (rev 2504)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e 
+
+if [ "$1" = "configure" ]; then 
+	update-alternatives --remove nsstest /usr/bin/nsstest.samba4
+fi
+
+#DEBHELPER#
+
+exit 0




More information about the Pkg-samba-maint mailing list